## ArtificerFrostSurge
- Adds a freezing variant of Ion Surge as a utility skill to Artificer!
- Grounded version leaves a circle of ice pillars, aoe freeze and launches upwards
- Aerial version just has the aoe freeze and launches forwards instead

[![](https://cdn.discordapp.com/attachments/630917500200157184/852050690816737340/FrostSurgeDescription350.png)]()



## Overview
Ever wish you could use flamethrower on Artificer but also fly? (or have any sort of horizontal mobility?) Well look no further! Frost Surge is an alternate utility for Artificer that launches you similarly to Ion Surge, but with a greater focus on horizontal movement. Summon a cluster of ice pillars on the ground below your feet, that propel you forwards and upwards while freezing and executing any enemies who come in contact with them. Use Frost Surge when overwhelmed by a swarm of enemies to get out of dodge quickly, and provide minor crowd control.


[![](https://cdn.discordapp.com/attachments/630917500200157184/836369127580893214/demogif3.gif)]()

dm or ping me to share any feedback/bugs- @LordOfTheNugget#7009

## Credits
LordOfTheNugget - Programming
5YEARS - Icon and Concept

## Known Issues
- VFX do not show up to other players in multiplayer.

## Future Updates
- VFX overhaul to make it look less Ion Surge-y

## Changelog

`1.4.0`
- Compatibility with SotV patch
- Temporarily removed compatibility with ArtificerExtended

`1.3.0`
- Added config option to switch Frost Surge from a Utility to a Special
- Adjusted grounded launch angle to be 10% more vertical

`1.2.1`
- Thunderstore page fixes

`1.2.0`
- Blast damage 800% > 350%
- Grounded and aerial launch distance reduced by 20%
- New pillar configuration: One larger pillar in the center with small nub pillers surrounding it. Damage and number of pillars unchanged.
- New Icon
- Now fully works with ArtificerExtended passives
- Fixed terrain clipping issues

`1.1.0`
- Compatibility with new update
- Now works in multiplayer

`1.0.3`
- Now compatible with ArtificerExtended

`1.0.2`
- Fixed Hardlight Afterburner sometimes consuming more than one charge of Frost Surge in one use

`1.0.1`
- Fixed gif link oof

`1.0.0`
- Initial Release